#include "AudioManager.h"
#include "Audio.h"

static IAudioSystem* g_audioSystem = nullptr;

IAudioSystem* AudioManager::get() {
    if (!g_audioSystem) {
        g_audioSystem = &Audio::instance();
    }
    return g_audioSystem;
}

void AudioManager::set(IAudioSystem* sys) {
    g_audioSystem = sys;
}
